Skip to main content
GET
Querying Async Task Results
Use this endpoint to query asynchronous task status and retrieve final results with the returned task_id.Async task results remain available for 24 hours. Query every 5 seconds.

File Storage Policy

Authorizations

ailabapi-api-key
string
header
required

API Key for authentication

Query Parameters

task_id
string

The task_id returned by the asynchronous API.

Response

200 - application/json

Success

request_id
string
required

Request ID for debugging.

log_id
string
required

Log ID for debugging.

error_detail
object
required
task_status
enum<integer>

Task status.

  • 0: queued.
  • 1: processing.
  • 2: completed.
Available options:
0,
1,
2
data
object

Result payload. Available when task_status is 2. Structure depends on the async API.